package land.chipmunk.chipmunkmod.config;

import land.chipmunk.chipmunkmod.config.migration.AbstractMigrationManager;
import land.chipmunk.chipmunkmod.config.migrations.*;

public final class ChipmunkModMigrations extends AbstractMigrationManager {
    public ChipmunkModMigrations () {
        super("version");

        this.register(new MigrationV0()); // unversioned -> v0
        this.register(new MigrationV1());
        this.register(new MigrationV2());
        this.register(new MigrationV3());
        this.register(new MigrationV4());
        this.register(new MigrationV5());
    }
}
